package arlo

type BaseStationState struct {
	InterfaceVersion         int         `json:"interfaceVersion"`
	APIVersion               int         `json:"apiVersion"`
	State                    string      `json:"state"`
	SwVersion                string      `json:"swVersion"`
	HwVersion                string      `json:"hwVersion"`
	ModelID                  string      `json:"modelId"`
	Capabilities             []string    `json:"capabilities"`
	McsEnabled               bool        `json:"mcsEnabled"`
	AutoUpdateEnabled        bool        `json:"autoUpdateEnabled"`
	UpdateAvailable          interface{} `json:"updateAvailable"`
	TimeZone                 string      `json:"timeZone"`
	OlsonTimeZone            string      `json:"olsonTimeZone"`
	UploadBandwidthSaturated bool        `json:"uploadBandwidthSaturated"`
	AntiFlicker              struct {
		Mode        int `json:"mode"`
		AutoDefault int `json:"autoDefault"`
	} `json:"antiFlicker"`
	LowBatteryAlert struct {
		Enabled bool `json:"enabled"`
	} `json:"lowBatteryAlert"`
	LowSignalAlert struct {
		Enabled bool `json:"enabled"`
	} `json:"lowSignalAlert"`
	Claimed       bool   `json:"claimed"`
	TimeSyncState string `json:"timeSyncState"`
	Connectivity  []struct {
		Type      string `json:"type"`
		Connected bool   `json:"connected"`
	} `json:"connectivity"`
	Groups    []interface{} `json:"groups"`
	LocalCert struct {
		OwnCert   string   `json:"ownCert"`
		PeerCerts []string `json:"peerCerts"`
	} `json:"localCert"`
}
