package arlo

type BaseResponse struct {
	Success bool `json:"success"`
}

type ErrorDetail struct {
	Message string `json:"message"`
	Reason  string `json:"reason"`
	Error   string `json:"error"`
}

type ErrorResponse struct {
	BaseResponse
	ErrorDetail `json:"data,omitempty"`
}

type LoginResponse struct {
	BaseResponse
	Data Account `json:"data"`
}

type SessionResponse struct {
	BaseResponse
	Data Session `json:"data"`
}

type UserProfileResponse struct {
	BaseResponse
	Data UserProfile `json:"data"`
}

type DeviceResponse struct {
	BaseResponse
	Data []Device `json:"data"`
}

// LibraryMetaDataResponse is an intermediate struct used when parsing data from the GetLibraryMetaData() call.
type LibraryMetaDataResponse struct {
	BaseResponse
	Data LibraryMetaData `json:"data"`
}

type LibraryResponse struct {
	BaseResponse
	Data Library `json:"data"`
}

type CvrPlaylistResponse struct {
	BaseResponse
	Data CvrPlaylist `json:"data"`
}

type Stream struct {
	URL string `json:"url"`
}

type StreamResponse struct {
	BaseResponse
	Data Stream `json:"data"`
}

type RecordingResponse struct {
	BaseResponse
	Data Stream `json:"data"`
}

type EventStreamResponse struct {
	EventStreamPayload
	Status        string `json:"status,omitempty"`
	RawProperties []byte
}
